summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/gettext-7
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/gettext-7')
-rwxr-xr-xgettext-tools/tests/gettext-723
1 files changed, 20 insertions, 3 deletions
diff --git a/gettext-tools/tests/gettext-7 b/gettext-tools/tests/gettext-7
index 2ff145c..598ee8c 100755
--- a/gettext-tools/tests/gettext-7
+++ b/gettext-tools/tests/gettext-7
@@ -8,12 +8,29 @@ tmpfiles=""
trap 'rm -fr $tmpfiles' 1 2 3 15
# This test works only on glibc systems.
-grep '@GLIBC2@.*yes' ../config.status >/dev/null || exit 77
+grep '@GLIBC2@.*yes' ../config.status >/dev/null || {
+ echo "Skipping test: not a glibc system"
+ exit 77
+}
# This test works only on systems that have a de_DE.ISO-8859-1 and
# de_DE.UTF-8 locale installed.
-LC_ALL=de_DE.ISO-8859-1 ./testlocale || exit 77
-LC_ALL=de_DE.UTF-8 ./testlocale || exit 77
+LC_ALL=de_DE.ISO-8859-1 ./testlocale || {
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: locale de_DE.ISO-8859-1 not installed"
+ else
+ echo "Skipping test: locale de_DE.ISO-8859-1 not supported"
+ fi
+ exit 77
+}
+LC_ALL=de_DE.UTF-8 ./testlocale || {
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: locale de_DE.UTF-8 not installed"
+ else
+ echo "Skipping test: locale de_DE.UTF-8 not supported"
+ fi
+ exit 77
+}
tmpfiles="$tmpfiles de_DE"
test -d de_DE || mkdir de_DE